<?php

namespace App\Http\Controllers\Admin\Settings;

use App\Http\Controllers\Controller;
use App\Mail\ContactPasswordMail;
use App\Mail\TestEmail;
use App\Models\Credits;
use App\Models\Emails;
use App\Models\Invoices;
use App\Models\ModeleEmail;
use Barryvdh\DomPDF\Facade\Pdf;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\File;
use Illuminate\Support\Facades\Mail;
use Inertia\Inertia;

class EmailController extends Controller
{
    /*public function index(Request $request){                
        return view('Admin/Settings/Email/Index');
    }

    public function store(Request $request){
        $request->validate([
            'domain_name' => 'required',
            'smtp_server' => 'required',
            'username' => 'required',
            'password' => 'required',
            'port' => 'required',
        ]);

        $data = $request->all();
        foreach ($data as $key => $item) {
            DB::table('settings')->where('name', "mailservice_{$key}")->update([
                'value' => $item,
                'updated_at' => date_now()
            ]);
        }
        return redirect()->back()->with('success', 'success');
    }

    public function sendtest(Request $request){                
        $mail_service = settings()['mailservice_type']->value;        

        if($mail_service == "api"){
            
        }else{
            $type = 'smtp';
            $smtpserver = settings()['mailservice_smtp_server']->value;
            $username = settings()['mailservice_username']->value;
            $password = settings()['mailservice_password']->value;
            $port = settings()['mailservice_port']->value;
            $encryption = json_decode(settings()['mailservice_encryption']->value);

            config(['mail.mailers.type' => $type]);
            config(['mail.mailers.smtp.host' => $smtpserver]);
            config(['mail.mailers.smtp.encryption' => $encryption->value]);

            config(['mail.mailers.smtp.username' => $username]);
            config(['mail.mailers.smtp.password' => $password]);
            config(['mail.mailers.smtp.port' => $port]);

            config(['mail.mailers.smtp.from' => [
                    'address' => settings()['mailservice_from']->value,
                    'name' => settings()['mailservice_from_name']->value,
                ]
            ]);
        }

        $data = [
            'to' => $request->email
        ];                    

        #Mail::send(new TestEmail($data));

        return back()->with('success','Mail sent successfully');;
    }

    #MODELES
    public function modele_index(Request $request){
        return view('Admin/Settings/Email/Modeles/Index');
    }

    public function get_modele(Request $request){        
        $page = 0;
        if(!isset($request->all)){
            $page = isset($request->pagesize) ? $request->pagesize : 25;
        }

        $res = ModeleEmail::query();

        $data = [];
        if(isset($request->id)){
            $data['id'] = $request->id;
        }
        
        if(isset($request->module)){
            $res->where('concern', $request->module);
        }
        
        if($page == 0){
            $emails = $res->get();
        }else{
            $emails = $res->paginate($page);
        }
        return response()->json([
            "status" => "success",
            "emails" => $emails
        ]);
    }
    public function modele_store(Request $request){  
        #dd($request->all());

        $request->validate([
            'title' => 'required',
            'subject' => 'required',
            'concern' => 'required',
        ]);

        if((int)$request->id == 0){
            ModeleEmail::create([
                'title' => $request->title,
                'concern' => $request->concern['value'],
                'with_pj' => $request->concern['pj'],
                'subject' => $request->subject,
                'content' => $request->content,
                'created_at' => date_now(),
                'updated_at' => date_now(),
            ]);
        }else{
            ModeleEmail::where('id', $request->id)->update([
                'title' => $request->title,
                'concern' => $request->concern['value'],
                'with_pj' => $request->concern['pj'],
                'subject' => $request->subject,
                'content' => $request->content,                            
                'updated_at' => date_now(),
            ]);
        }        

        return redirect()->back()->with('success', 'success');

    }
    public function modele_update(Request $request){

    }
    public function modele_destroy($id){

    }
    #MODELES


    #SEND EMAIL
    public function sendemail(Request $request){  
        #dd($request->all());
        $request->validate([
            'object' => 'required',
            'to' => 'required|email',
            'content' => 'required'
        ]);
        
        $to = $request->to;
        $from = settings()['mailservice_from']->value;
        $object = $request->object;
        $content = $request->content;
        
        $res = Emails::create([
            'module' => $request->module,
            'module_id' => $request->module_id,
            'module_title' => $request->module_title,
            'user_id' => Auth::user()->id,
            'username' => Auth::user()->name,
            'object' => $object,
            'email_to' => $to,
            'email_from' => $from,
            'content' => $content,
            'with_pj' => $request->with_pj,
            'created_at' => date_now(),
            'updated_at' => date_now(),
        ]);

        #ENVOIE EMAIL
        $attachments = [];
        if($request->with_pj){            
            $moduleConfig = [
                'invoice' => [
                    'path' => 'pdf/invoices',
                    'class' => Invoices::class,
                    'function' => 'invoices'
                ],
                'avoir' => [
                    'path' => 'pdf/avoirs',
                    'class' => Credits::class,
                    'function' => 'credits'
                ]
            ];
            
            $module = $request->module;
            $config = $moduleConfig[$module];
            $path = public_path($config['path']);
            
            $detailClass = new $config['class']();
            $detail = $detailClass->{$config['function']}(['id' => $request->module_id])[0];
            
            $ref = $detail->reference;
            $name = str_replace(" ", "_", $ref) . ".pdf";

            if($module == 'invoice'){
                if (!File::exists("$path/$name")) {
                    if (!File::isDirectory($path)) {
                        File::makeDirectory($path, 0777, true, true);
                    }
                
                    (new Invoices())->document($detail->slug);
                }
            }
            
            $attachments[] = [
                'path' => "$path/$name",
                'as' => $name,
                'mime' => 'application/pdf'
            ];            
        }

        $mail_service = settings()['mailservice_type']->value;
        if($mail_service == "api"){
            
        }else{
            $type = 'smtp';
            $smtpserver = settings()['mailservice_smtp_server']->value;
            $username = settings()['mailservice_username']->value;
            $password = settings()['mailservice_password']->value;
            $port = settings()['mailservice_port']->value;
            $encryption = json_decode(settings()['mailservice_encryption']->value);

            config(['mail.mailers.type' => $type]);
            config(['mail.mailers.smtp.host' => $smtpserver]);
            config(['mail.mailers.smtp.encryption' => $encryption->value]);

            config(['mail.mailers.smtp.username' => $username]);
            config(['mail.mailers.smtp.password' => $password]);
            config(['mail.mailers.smtp.port' => $port]);
        }

        Mail::send(new ContactPasswordMail([
            'to' => $to,
            'subject' => $object,
            'from' => ['email' => $from, 'name' => settings()['mailservice_from_name']->value],
            'content' => $content,
            'attachments' => $attachments
        ]));
        #ENVOIE EMAIL


        Emails::where('id', $res->id)->update([
            'status' => 'send'
        ]);

        return redirect()->back()->with('success', 'Email send successfully');                
    }
    #SEND EMAIL*/
}
