<?php

namespace App\Providers;

use App\Services\ActionService;
use App\Services\MenuLoader;
use Illuminate\Support\Facades\View;
use Illuminate\Support\ServiceProvider;

class AppServiceProvider extends ServiceProvider
{
    /**
     * Register any application services.
     */
    public function register(): void
    {
        $modules = config('module.modules'); // Chargez la liste des modules depuis la configuration
        foreach ($modules as $module) {
            if ($module['enabled']) { // Vérifiez si le module est activé                
                $provider = $module['provider'];                
                #dd(($provider));
                if (class_exists($provider)) {
                    $this->app->register($provider);
                }
            }
        }

        $this->app->singleton(ActionService::class, function ($app) {
            return new ActionService();
        });
    }

    /**
     * Bootstrap any application services.
     */
    public function boot(): void
    {                        
        View::share('menus', MenuLoader::load());
    }
}
