<?php

namespace App\Services;

class ActionService
{
    protected $actions = [];

    /**
     * Enregistre une action.
     *
     * @param string $hook
     * @param callable $callback
     */
    public function addAction($hook, $callback)
    {        
        $this->actions[$hook][] = $callback;
    }

    /**
     * Exécute les actions enregistrées.
     *
     * @param string $hook
     * @param array $params
     * @return void
     */
    public function doAction($hook, array $params = [])
    {
        if (isset($this->actions[$hook])) {
            foreach ($this->actions[$hook] as $callback) {
                call_user_func_array($callback, $params);
            }
        }
    }

    /**
     * Récupère une configuration de menu spécifique.
     *
     * @param string $key
     * @return mixed
     */
    public function getMenuConfig($key)
    {
        $config = config('menu');

        return $config[$key] ?? null;
    }
}
