<?php
 
 namespace modules\catalogs\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use modules\location\Models\Location;

class ProductCustomerPrice extends Model
{
    use HasFactory;

    protected $table = "products_customer_price";
    protected $fillable = [
        'group_id',        
        'product_id',
        'location_id',
        'qty_min',
        'qty_max',
        'price',
    ];

    public function product()
    {
        return $this->belongsTo(Products::class);
    }

    public function location()
    {
        return $this->belongsTo(Location::class);
    }

    public function productLocation()
    {
        return $this->hasOne(ProductLocation::class, 'product_id', 'product_id')
                    ->whereColumn('location_id', 'location_id');
    }

}
