<?php

namespace modules\catalogs\services;

use modules\catalogs\Models\ProductCustomerPrice;
use modules\catalogs\Models\ProductLocation;

class ProductCustomerService
{    
    public function getPrice(int $customer_id, int $product_id, int $location, float $quantity){
        return ProductCustomerPrice::with(['productLocation'])
                            ->where('location_id', $location)
                            ->where('product_id', $product_id)
                            ->when(ProductLocation::where('product_id', $product_id)
                                ->where('location_id', $location)
                                ->where('price_variant', 1)
                                ->exists(), function ($query) use ($quantity) {
                                    return $query->where('qty_min', '<=', $quantity)
                                                ->where('qty_max', '>=', $quantity);
                            })
                            ->orderBy('qty_min')
                            ->first();
    }
}