<?php

namespace modules\sales\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use modules\catalogs\Models\Products;

class Receipt extends Model
{
    use HasFactory;

    protected $table = "receipts";
    protected $fillable = [
        'caisse_status_id',
        'location_id',
        'location',
        'customer_id',
        'customer',
        'customer_email',
        'customer_phone',
        'customer_address',
        'status',
        'numero',
        'reference',
        'has_discount',
        'discount',
        'total_ht',
        'discount_price',
        'tva',
        'tva_price',
        'has_delivery',
        'delivery_price',
        'total_ttc',
        'acompte',
        'observation',
        'token',
        'document_term',
        'user',
    ];    

    protected $appends = ['total_payment', 'rap'];

    public function details(){
        return $this->hasMany(ReceiptDetail::class, 'receipt_id');
    }

    public function payments()
    {
        return $this->hasMany(ReceiptPayment::class, 'receipt_id');
    }

    public function getTotalPaymentAttribute()
    {
        return $this->payments->sum('amount');
    }
    
    public function getRapAttribute()
    {
        return $this->payments->sum('amount') - $this->total_ttc;
    }
}