<?php

namespace modules\sales\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use modules\catalogs\Models\Products;

class ReceiptDiscount extends Model
{
    use HasFactory;

    // Define the table name (optional if it matches the pluralized model name)
    protected $table = 'receipts_discounts';

    // Define the fillable attributes for mass assignment
    protected $fillable = [
        'receipt_id',
        'token',
        'product_id',
        'discount_type',
    ];

    // Define relationships
    public function receipt()
    {
        return $this->belongsTo(Receipt::class, 'receipt_id');
    }

    public function product()
    {
        return $this->belongsTo(Products::class, 'product_id');
    }
}