<?php

return [
    "receipt" => [
        "label" => "Comptoir - ventes",
        "name" => "receipt",
        "active" => false,
        "icon" => "bi bi-pc-display-horizontal text-2xl",
        "route" => "app.receipt.index",
        "params" => [],
    ],
    "sales" => [
        "label" => "Gestion des ventes",
        "name" => "sales",
        "active" => false,
        "icon" => "bi bi-cash-coin",
        "display" => "parent,child",
        "child" => [
            "receipt" => [
                "label" => "Ventes à la caisse",
                "name" => "receipt",
                "active" => false,
                "icon" => "bi bi-pc-display-horizontal",
                "route" => 'app.sales.documents.index',
                "params" => ['type' => 'receipt', 'category' => 'customer'],
                "display" => "parent,child",
            ],
            "quote" => [
                "label" => "Devis",
                "name" => "quote",
                "active" => false,
                "icon" => "bi bi-file-earmark-medical",
                "route" => 'app.sales.documents.index',
                "params" => ['type' => 'quote', 'category' => 'customer'],
                "display" => "parent,child",
            ],
            "invoice" => [
                "label" => "Factures",
                "name" => "invoice",
                "active" => false,
                "icon" => "bi bi-journal-check",
                "route" => 'app.sales.documents.index',
                "params" => ['type' => 'invoice', 'category' => 'customer'],
                "display" => "parent,child",
            ],
            "credit" => [
                "label" => "Avoirs",
                "name" => "credit",
                "active" => false,
                "icon" => "bi bi-journal-x",
                "route" => 'app.sales.documents.index',
                "params" => ['type' => 'credit', 'category' => 'customer'],
            ],
            "delivery" => [
                "label" => "Bon de livraison",
                "name" => "delivery",
                "active" => false,
                "icon" => "bi bi-truck",
                "route" => 'app.sales.documents.index',
                "params" => ['type' => 'delivery', 'category' => 'customer'],
            ],
            "order" => [
                "label" => "Bon de commandes",
                "name" => "order",
                "active" => false,
                "icon" => "bi bi-cart2",
                "route" => 'app.sales.documents.index',
                "params" => ['type' => 'order', 'category' => 'customer'],
            ],
            "return" => [
                "label" => "Bon de retours",
                "name" => "retour",
                "active" => false,
                "icon" => "bi bi-journal-arrow-up",
                "route" => 'app.sales.documents.index',
                "params" => ['type' => 'return', 'category' => 'customer'],
            ],
            "setting" => [
                "label" => "Paramètres",
                "name" => "setting",
                "active" => false,
                "icon" => "bi bi-gear-fill",
                "route" => "app.sales.setting.index",
                "display" => "parent,child",
                "params" => ['tab' => 'numero', 'category' => 'customer'],
            ],
        ]
    ], 
];