<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('receipts_discounts', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('receipt_id')->nullable();
            $table->string('token');
            $table->unsignedBigInteger('product_id')->nullable();
            $table->enum('discount_type', ['by_product', 'item_offered', 'by_sale', 'sale_offered_without_price', 'sale_offered_with_price']);
            $table->foreign("receipt_id")->on("receipts")->references("id")->onDelete("cascade");
            $table->foreign("product_id")->on("products")->references("id")->onDelete("set null");                                                            
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('receipts_discounts');
    }
};
