@php
    $imageSrc = null;
    if(!is_null($doc['document_logo'])){
        $imagePath = public_path('images/sites/logo/'. $doc['document_logo']);
        $imageData = base64_encode(file_get_contents($imagePath));
        $imageSrc = 'data:image/png;base64,' . $imageData; // Ajustez le type MIME si nécessaire
    }    
@endphp

<html lang="fr">
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
        <title>Inventaire</title>
        <link rel="icon" type="image/png" href="{{ public_path('images/default/favicon.ico') }}">
        <link rel="stylesheet" href="{{ public_path("css/doc.css") }}" media="all" />

        <style>
            @page {
                margin: 25px 10px;
                box-sizing: border-box;
            }

            *{
                font-family: sans-serif!important;
                color: #292524;
            }

            .page {
                page-break-after: always;
                position: relative;
                margin-bottom: 60px; 
            }

            .docTitle{
                display: inline-block; 
                vertical-align: middle; 
                margin: 0 0 0 10px; 
                font-size: 26px; 
                font-weight: bold;
                text-transform: uppercase;
            }

            .editor h3{
                margin-top: -10px;
                font-size: 24px;
            }

            .header{                
                margin-top: -25px; 
                margin-left: -20px; 
                margin-right: -20px; 
                padding-left: 10px; 
                padding-right: 10px; 
                padding-top: 25px;
                padding-bottom: 25px;
            }

            .infoDocLeft{
                width: 50%; 
                vertical-align: top; 
                text-align: right; 
                padding: 8px;
                font-size: 13px!important;
            }

            .infoDocRight{
                width: 50%; 
                vertical-align: top; 
                text-align: left; 
                padding: 8px;
                font-size: 13px!important;
            }

            .tdFooter{
                border: 1px solid #9ca3af; 
                padding: 12px 5px;
                vertical-align: middle;
                font-size: 13px;
            }

            table {
                border-collapse: separate;
                border-spacing: 0;
            }

            .content{
                width: 100%;                
                margin-top: 20px;
            }
        </style>
    </head>

    <body>
        <div class="page">
            <header class="header" style="background: #94a3b8">
                <table style="width: 100%;">
                    <tr>                        
                        <!-- Colonne de gauche (50%) -->
                        <td style="width: 50%; vertical-align: top;">
                            @if(!is_null($imageSrc))
                                <div style="display: inline-block; vertical-align: middle;">
                                    <img src="{{ $imageSrc }}" style="height: 100px;">                    
                                </div>
                            @endif
                        
                            <h3 class="docTitle">Inventaire</h3>
                        </td>
            
                        <!-- Colonne de droite (50%) -->
                        <td class="editor" style="width: 50%; vertical-align: top; text-align: justify; padding: 0 10px; font-size: 14px; line-height: 1; ">
                            {!! nl2br($doc['document_header']) !!}
                        </td>
                    </tr>
                </table>
            </header>

            <section>
                <table style="width: 100%;">
                    <tr>
                        <!-- Colonne de gauche (50%) -->
                        <td style="width: 50%; vertical-align: top;">                            
                            <table style="width: 100%; margin-top: 10px;">
                                <tr>                                    
                                    <td class="infoDocLeft">
                                        <strong>Type inventaire:</strong>
                                    </td>
                                    <td class="infoDocRight">
                                        <span>Saisie des régularisations</span>
                                    </td>
                                </tr>
                                <tr>                                    
                                    <td class="infoDocLeft">
                                        <strong>Type d'inventaire:</strong>
                                    </td>                         
                                    <td class="infoDocRight">
                                        <span>Cumuls de stocks à jour</span>
                                    </td>
                                </tr>
                            </table>
                        </td>
            
                        <!-- Colonne de droite (50%) -->
                        <td style="width: 50%; vertical-align: top; text-align: justify; padding: 0 10px; font-size: 15px; line-height: .5;">
                            <table style="width: 100%; margin-top: 40px;">
                                <tr>                                    
                                    <td colspan="2">
                                        <h4 style="text-align: right; margin-top: -15px; font-size: 18px;"><strong>Inventaire #{{ $detail['reference'] }}</strong></h4>
                                        <p style="font-size: 13px; text-align: right; margin-top: 0;">
                                            <strong>Date:</strong> 
                                            <span>{{date('d-m-Y', strtotime($detail['inventory_date']))}}</span>
                                        </p>
                                        <div style="font-size: 13px; text-align: right; margin-top: 15px;">
                                            <strong>Etat:</strong> 
                                            @if($detail['status'] == 'validate')
                                                <span style="padding: 3px 7px; font-size: 14px; background: #bcf0da; color: #03543f; border: 1px solid #03543f; text-transform: uppercase; border-radius: .2rem">validé</span>
                                            @else
                                                <span style="padding: 3px 7px; font-size: 14px; background: #a5f3fc; color: #155e75; border: 1px solid #155e75; text-transform: uppercase; border-radius: .2rem">En cours</span>
                                            @endif
                                        </div>
                                    </td>                            
                                </tr>                          
                            </table>
                        </td>
                    </tr>
                </table>
            </section>

            <section class="content" style="margin-top: 10px; border-top: 1px solid #94a3b8;">
                <table style="width: 100%!important; margin-top: 10px; border-collapse: collapse;">
                    <thead style="background: #cbd5e1">
                        <tr>
                            @foreach ($cols as $k => $col)
                            <th style="padding: 10px 5px; border: 1px solid #000; text-align: {{$col['align']}}; width: {{$col['width']}};">
                                <strong style="text-transform: uppercase; font-size: 12px;">{{$col['title']}}</strong>
                            </th>
                            @endforeach
                        </tr>
                    </thead>
                    
                    <tbody>
                        @foreach ($detail['details'] as $i => $item)
                            @php                                
                                if($detail['status'] == 'validate'){
                                    $reference = $item['product_reference'];
                                    $product = $item['product']['title'];
                                    $unite = $item['product']['unite'];
                                    $category = $item['product_category'];

                                    $price = $item['product_purchase_price'];
                                    $stock = $item['stock_actual'];
                                    $reorderLevel = isset($item['product']['locations'][0]) ? $item['product']['locations'][0]['reorder_level'] : 0;

                                    $regulQty = $item['stock_regul'];
                                    $regulPrice = $item['purchase_price_regul'];
                                }else {                                    
                                    
                                    $reference = $item['reference'];
                                    $product = $item['title'];
                                    $unite = $item['unitedetail']['title'];
                                    $category = implode(' - ', array_map(fn($cat) => "<span>{$cat['title']}</span>", $item['categories']));
                                    $regulQty = isset($item['inventory']['details'][0]) ? $item['inventory']['details'][0]['stock_regul'] : 0;
                                    $regulPrice = isset($item['inventory']['details'][0]) ? $item['inventory']['details'][0]['purchase_price_regul'] : 0;

                                    $price = isset($item['supplier_prices'][0]) ? (float)$item['supplier_prices'][0]['price'] : 0;
                                    $stock = isset($item['stock'][0]) ? (float)$item['stock'][0]['stock'] : 0;
                                    $reorderLevel = isset($item['locations'][0]) ? $item['locations'][0]['reorder_level'] : 0;
                                }
                                

                                $valeur = (float)$stock * (float)$price;
                                $ecart = (float)$stock - (float)$regulQty;

                                // Définition des couleurs en inline style
                                $textColor = '#15803d'; // Vert par défaut
                                $borderColor = '#15803d';
                                $bgColor = '#bbf7d0';

                                if ($stock == 0) {
                                    $textColor = '#b91c1c'; // Rouge
                                    $borderColor = '#b91c1c';
                                    $bgColor = '#fecaca';
                                } elseif ($stock > 0 && $stock <= $reorderLevel) {
                                    $textColor = '#b45309'; // Orange
                                    $borderColor = '#b45309';
                                    $bgColor = '#fed7aa';
                                }

                            @endphp

                            <tr>
                                <td style="padding-left: 3px; padding-right: 3px; text-align: {{$cols[0]['align']}}; border: 1px solid #000;">                                    
                                    <span style="font-size: 12px!important">{{$reference}}</span>
                                </td>
                                <td style="padding-left: 3px; padding-right: 3px; text-align: {{$cols[1]['align']}}; border: 1px solid #000;">
                                    <p style="font-size: 12px!important; margin-bottom: 0; margin-top: 1px; font-weight: bold;">{{$product}}</p>
                                    <p style="font-size: 11px!important; margin: 0px;">
                                        {!! $category !!}
                                    </p>
                                </td>
                                <td style="padding-left: 3px; padding-right: 3px; text-align: {{$cols[2]['align']}}; border: 1px solid #000;">
                                    <div style="font-size: 13px!important; padding: 3px 2px; border: 1px solid {{ $borderColor }}; background: {{ $bgColor }}; color: {{ $textColor }};">                                        
                                        {{number_format($stock, 2, ",", " ")}}
                                    </div>
                                </td>
                                <td style="padding-left: 3px; padding-right: 3px; text-align: {{$cols[3]['align']}}; border: 1px solid #000;">
                                    <span style="font-size: 12px!important; text-transform: uppercase">{{$unite}}</span>
                                </td>
                                <td style="padding-left: 3px; padding-right: 3px; text-align: {{$cols[4]['align']}}; border: 1px solid #000;">
                                    <span style="font-size: 12px!important">
                                        {{number_format($price, 2, ",", " ")."Ar"}}
                                    </span>
                                </td>
                                <td style="padding-left: 3px; padding-right: 3px; text-align: {{$cols[5]['align']}}; border: 1px solid #000;">
                                    <span style="font-size: 12px!important">
                                        {{number_format($valeur, 2, ",", " ")."Ar"}}
                                    </span>
                                </td>
                                <td style="padding-left: 3px; padding-right: 3px; border: 1px solid #000; text-align: {{$cols[6]['align']}};">
                                    <p style="font-size: 12px!important; margin-bottom: 0; margin-top: 1px;">
                                        <span style="font-size: 12px!important">
                                            {{number_format($regulQty, 2, ",", " ")}}
                                        </span>
                                    </p>
                                    @if((float)$regulQty != 0)
                                    <p style="font-size: 12px!important; margin: 0px; color: {{(float)$ecart > 0 ? '#15803d' : '#b91c1c'}}">
                                        Ecart: {{number_format($ecart, 2, ",", " ")}}
                                    </p>                     
                                    @endif               
                                </td>
                                <td style="padding-left: 3px; padding-right: 3px; border: 1px solid #000; text-align: {{$cols[7]['align']}};">
                                    <span style="font-size: 12px!important">
                                        {{number_format($regulPrice, 2, ",", " ")."Ar"}}
                                    </span>                                                                        
                                </td>
                            </tr>
                        @endforeach
                    </tbody>

                </table>
            </section>
            

        </div>
    </body>
</html>