<html lang="fr">
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
        <title>Liste des produits</title>
        <link rel="icon" type="image/png" href="{{ public_path('images/default/favicon.ico') }}">
        <link rel="stylesheet" href="{{ public_path("css/doc.css") }}" media="all" />

        <style>
            @page {
                margin: 25px 10px;
                box-sizing: border-box;
            }

            *{
                font-family: sans-serif!important;
                color: #292524;
            }

            .page {
                page-break-after: always;
                position: relative;
                margin-bottom: 60px; 
            }

            .docTitle{
                display: inline-block; 
                vertical-align: middle; 
                margin: 0 0 0 10px; 
                font-size: 26px; 
                font-weight: bold;
                text-transform: uppercase;
            }

            .editor h3{
                margin-top: -10px;
                font-size: 24px;
            }

            .header{                
                margin-top: -25px; 
                margin-left: -20px; 
                margin-right: -20px; 
                padding-left: 10px; 
                padding-right: 10px; 
                padding-top: 25px;
                padding-bottom: 25px;
            }

            .infoDocLeft{
                width: 50%; 
                vertical-align: top; 
                text-align: right; 
                padding: 8px;
                font-size: 13px!important;
            }

            .infoDocRight{
                width: 50%; 
                vertical-align: top; 
                text-align: left; 
                padding: 8px;
                font-size: 13px!important;
            }

            .tdFooter{
                border: 1px solid #9ca3af; 
                padding: 12px 5px;
                vertical-align: middle;
                font-size: 13px;
            }

            table {
                border-collapse: separate;
                border-spacing: 0;
            }

            .content{
                width: 100%;                
                margin-top: 20px;
            }
        </style>
    </head>

    <body>
        <div class="page">
            <header class="header" style="background: #94a3b8">
                <table style="width: 100%;">
                    <tr>                        
                        <!-- Colonne de gauche (50%) -->
                        <td style="width: 50%; vertical-align: top;">
                            <h3 class="docTitle">LISTE DES PRODUITS</h3>
                        </td>
            
                        <!-- Colonne de droite (50%) -->
                        <td class="editor" style="width: 50%; vertical-align: middle; text-align: justify; padding: 0 10px; font-size: 14px; line-height: 1; ">
                            <div style="float: right; margin-top: 15px">                                    
                                <strong>Date:</strong>
                                <span>{{date_now()->format('d-m-Y H:i:s')}}</span>                                
                            </div>
                        </td>
                    </tr>
                </table>
            </header>

            <section class="content" style="margin-top: 10px; border-top: 1px solid #94a3b8;">                
                <table style="width: 100%!important; margin-top: 10px; border-collapse: collapse;">
                    <thead style="background: #cbd5e1">
                        <tr>
                            @foreach ($cols as $k => $col)
                            <th style="padding: 10px 5px; border: 1px solid #000; text-align: {{$col['align']}}; width: {{$col['width']}};">
                                <strong style="text-transform: uppercase; font-size: 12px;">{{$col['title']}}</strong>
                            </th>
                            @endforeach
                        </tr>
                    </thead>
                    
                    <tbody>                                                
                        @foreach ($products as $prod)
                        <tr>
                            @if(count($prod) == 1)
                                <td colspan="6">
                                    <h2 style="">{!! $prod[0] !!}</h2>
                                </td>
                            @else
                                @foreach ($prod as $k => $p)
                                    <td style="padding-left: 3px; padding-right: 3px; text-align: {{$cols[$k]['align']}}; border: 1px solid #000;">
                                        @if(is_numeric($p))
                                            @if(str_contains(strtolower($cols[$k]['title']), 'prix') || str_contains(strtolower($cols[$k]['title']), 'cmup'))
                                                <span style="font-size: 12px!important">{!! number_format($p, 2, ',', ' ') !!}Ar</span>
                                            @elseif(str_contains(strtolower($cols[$k]['title']), 'stock'))

                                                <span style="font-size: 12px!important">{!! number_format($p, 2, ',', ' ') !!}</span>
                                            @endif
                                        @else
                                            <span style="font-size: 12px!important">{!! $p !!}</span>
                                        @endif
                                    </td>
                                @endforeach
                            @endif
                        </tr>
                        @endforeach
                    </tbody>

                </table>
            </section>            
        </div>
    </body>
</html>