@if(!isset($menu['child']))
    @if(auth()->user()->getAllPermissions()->contains('name', $menu['name']))
    <a
        href="{{ isset($menu['route']) && $menu['route'] != '' ? route($menu['route'], $menu['params'] ?? []) : '#' }}" 
        class="flex items-center p-2 text-base group hover:bg-gray-100 hover:rounded-md @if(isset($menu['active']) && $menu['active']) bg-primary rounded-md @endif"
    >
        <i class="{{ (int)$child == 1 ? 'text-lg' : 'text-2xl' }} @if(isset($menu['active']) && $menu['active']) text-white @else text-gray-900 @endif {{ isset($menu['icon']) ? $menu['icon'] : ""}}"></i>
        <span class="ml-3 text-sm @if(isset($menu['active']) && $menu['active']) text-white @else text-gray-900 @endif ">
            @isset($menu['label'])
                {{ $menu['label'] }}
            @endisset
        </span>
    </a>
    @endif
@else
    @if(auth()->user()->getAllPermissions()->contains('name', $menu['name']))
        <button
            type="button"
            class="@if(isset($menu['active']) && $menu['active']) bg-primary rounded-md py-1 @else hover:bg-gray-100 hover:rounded-md @endif flex items-center p-2 w-full text-base transition duration-75 group"
            aria-controls="dropdown-{{ $menu['name'] }}"
            data-collapse-toggle="dropdown-{{ $menu['name'] }}"
            aria-expanded="{{ isset($menu['active']) && $menu['active'] ? 'true' : 'false' }}"
        >
            <i class="text-2xl @if(isset($menu['active']) && $menu['active']) text-white @else text-gray-900 @endif {{$menu['icon']}}"></i>
            <span class="@if(isset($menu['active']) && $menu['active']) text-white @else text-gray-900 @endif flex-1 ml-3 text-left whitespace-nowrap text-sm ">
                {{ $menu['label'] }}
            </span>
            <i class="bi bi-chevron-down @if(isset($menu['active']) && $menu['active']) text-white @else text-gray-900 @endif"></i>
        </button>

        <ul id="dropdown-{{ $menu['name'] }}" class="py-2 ms-3 space-y-1 @if(!isset($menu['active']) || !$menu['active']) hidden @endif">
            @foreach ($menu['child'] as $child)
                {{-- @if(in_array($display, explode(",", $child['display'])))  --}}
                <li>
                    @include('partials.child-menu', ['menu' => $child, 'child' => true])
                </li>
                {{-- @endif --}}
            @endforeach
        </ul>
    @endif
@endif
