<?php

namespace modules\sales\Http\Controllers;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Redirect;
use Illuminate\Support\Facades\Session;
use modules\crm\Models\BusinessContact;
use modules\crm\services\CrmService;
use modules\location\Models\Location;
use modules\sales\Models\Caisse;
use modules\sales\Models\CaisseStatus;
use modules\sales\Models\Cart;
use modules\sales\Models\CartDetail;
use modules\sales\services\BasketService;
use modules\sales\services\CaisseService;

class basketController extends Controller
{
    protected $basket;
    public function __construct(BasketService $basket)
    {
        $this->basket = $basket;
    }

    public function load(Request $request){
        if(Session::has('vente_token')){
            $token = Session::get('vente_token');            
            $cart = Cart::where('token', $token)->with('details.product')->first();

            return response()->json([
                "status" => 'success',                
                "cart" => $cart
            ]);
        }

        return response()->json([
            'status' => 'error',
            'message' => "Erreur, rafraichir la page"
        ]);
    }

    public function store(Request $request) {
        if(!Session::has('has_delivery')){
            Session::put('has_delivery', $request->delivery);
        }
        
        $location = my_location();

        $rep = $this->basket->store(
            $request, 
            $location->id
        );

        if($rep['status'] == 'success'){
            $cart = Cart::where('id', $rep['cartId'])->with('details.product')->first();            
            $response = [
                "status" => 'success',
                "message" => $rep["message"],
                "cart" => $cart
            ];
        }else{
            $response = [
                "status" => 'error',
                "message" => "Erreur"
            ];
        }   
        

        return response()->json($response);
    }

    public function destroy(int $id){
        $detail = CartDetail::find($id);
        $detail->delete();

        $cart = Cart::where('id', $detail->cart_id)->with('details.product')->first();            
        $response = [
            "status" => 'success',
            "message" => 'Ligne supprimé avec succès',
            "cart" => $cart
        ];

        return response()->json($response);
    }
        
}