<?php

namespace modules\sales\Http\Controllers;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use modules\sales\Models\Caisse;

class caisseController extends Controller
{    
    public function caisses(){
        $res = Caisse::with('location');
        $caisses = $res->paginate(25);  
        
        $caisses->transform(function($caisse) {
            $caisse->sstatus = $caisse->status == 'active';
            return $caisse;
        });
        
        return response()->json([
            'status' => 'succcess',
            'caisses' => $caisses
        ]);
    }

    public function save(Request $request){
        try {            
            $request->validate([
                'title' => 'required'
            ]);

            #dd($request->all());

            $id = $request->id;
            $status = $request->status;
            $location = $request->location;

            if((int)$id == 0){
                $caisse = Caisse::create([
                    'title' => $request->title,
                    'status' => $status['value'],
                    'location_id' => $location['id'],                    
                    'created_at' => date_now(),
                    'updated_at' => date_now(),
                ]);
                $caisse->slug = $caisse->id."-".generateString(12);
                $caisse->save();
            }else{
                Caisse::where('id', $id)->update([
                    'title' => $request->title,
                    'status' => $status['value'],
                    'location_id' => $location['id'],                    
                    'updated_at' => date_now(),
                ]);
            }

            return response()->json([
                'status' => 'success',
                'message' => 'Enregistrement éffectué avec succès'
            ]);
        } catch (\Throwable $th) {
            throw $th;
        }
    }

    public function status(Request $request){         
        $id = $request->id;
        $status = !$request->status;
        
        $customer = Caisse::find($id);
        $customer->status = $status ? 'active' : 'inactive';
        $customer->save();

        return response()->json([
            'status' => 'success',
            'message' => message()['update'],            
        ]);
    }

    public function delete($id)
    {        
        Caisse::find($id)->delete();
        
        return response()->json([
            'status' => 'success',
            'message' => 'Suppréssion éffectuée avec succès.',
        ]);
    }

}