import defaultTheme from 'tailwindcss/defaultTheme';
import forms from '@tailwindcss/forms';

/** @type {import('tailwindcss').Config} */
export default {    
    content: [
        './vendor/laravel/framework/src/Illuminate/Pagination/resources/views/*.blade.php',
        './storage/framework/views/*.php',
        './resources/views/**/*.blade.php',
        './modules/**/*.js',
        './modules/**/*.vue',
        './resources/**/*.js',
        './resources/**/*.vue',
        "./node_modules/flowbite/**/*.js"
    ],

    theme: {
        extend: {
            fontFamily: {
                sans: ['Figtree', ...defaultTheme.fontFamily.sans],
            },
            colors: {
                primary: '#2563eb',
                danger: '#b91c1c',
                dark: '#030712',
                secondary: '#475569',
                success: '#047857',
                info: '#67e8f9',
                warning: '#ea580c',
            },            
            backgroundImage: {
                dark: '#030712', 
                primary: 'linear-gradient(45deg, #2563eb, #38bdf8)', 
                danger: 'linear-gradient(45deg, #f87171, #b91c1c)', 
                secondary: 'linear-gradient(45deg, #94a3b8, #475569)', 
                success: 'linear-gradient(45deg, #34d399, #047857)', 
                info: 'linear-gradient(45deg, #7dd3fc, #67e8f9)', 
                warning: 'linear-gradient(45deg, #fbbf24, #ea580c)',                
            }
        },
    },

    plugins: [
        forms,
        require('flowbite/plugin')
    ],
};
