/**
 * @license Copyright (c) 2003-2025, CKSource Holding sp. z o.o. All rights reserved.
 * For licensing, see LICENSE.md or https://ckeditor.com/legal/ckeditor-licensing-options
 */

( e => {
const { [ 'pt-br' ]: { dictionary, getPluralForm } } = {"pt-br":{"dictionary":{"Special characters":"Caracteres especiais","Category":"Categoria","All":"Tudo","Arrows":"Setas","Currency":"Moeda","Latin":"Latim","Mathematical":"Matemática","Text":"Texto","leftwards simple arrow":"seta simples para a esquerda","rightwards simple arrow":"seta simples para a direita","upwards simple arrow":"seta simples para cima","downwards simple arrow":"seta simples para baixo","leftwards double arrow":"seta dupla para esquerda","rightwards double arrow":"seta dupla para direita","upwards double arrow":"seta dupla para cima","downwards double arrow":"seta dupla para baixo","leftwards dashed arrow":"seta tracejada para esquerda","rightwards dashed arrow":"seta tracejada para direita","upwards dashed arrow":"seta tracejada para cima","downwards dashed arrow":"seta tracejada para baixo","leftwards arrow to bar":"seta à esquerda para barra","rightwards arrow to bar":"seta à direita para barra","upwards arrow to bar":"seta a cima para barra","downwards arrow to bar":"seta a baixo para barra","up down arrow with base":"seta para cima e para baixo com base","back with leftwards arrow above":"símbolo BACK com a seta para esquerda acima","end with leftwards arrow above":"símbolo END com a seta para esquerda acima","on with exclamation mark with left right arrow above":"símbolo ON com ponto de exclamação e seta para esquerda e direita acima","soon with rightwards arrow above":"símbolo SOON com a seta para a direita acima","top with upwards arrow above":"símbolo TOP com a seta para cima acima","Dollar sign":"Símbolo do Dólar","Euro sign":"Símbolo do Euro","Yen sign":"Símbolo do Yen","Pound sign":"Símbolo de Libra","Cent sign":"Símbolo de Centavo","Euro-currency sign":"Símbolo da moeda Euro","Colon sign":"Sinal de dois pontos","Cruzeiro sign":"Símbolo do Cruzeiro","French franc sign":"Símbolo do Franco Francês","Lira sign":"Símbolo da Lira","Currency sign":"Símbolo de moeda","Bitcoin sign":"Símbolo do Bitcoin","Mill sign":"Símbolo de Mill","Naira sign":"Símbolo de Naira","Peseta sign":"Símbolo de Peseta","Rupee sign":"Símbolo da Rupia","Won sign":"Símbolo do Won","New sheqel sign":"Símbolo do Novo Sheqel","Dong sign":"Símbolo do Dong","Kip sign":"Símbolo do Kip","Tugrik sign":"Símbolo de Tugrik","Drachma sign":"Sinal de Dracma","German penny sign":"Símbolo do Centavo Alemão","Peso sign":"Símbolo do Peso","Guarani sign":"Símbolo do Guarani","Austral sign":"Símbolo de Austral","Hryvnia sign":"Símbolo de Hryvnia","Cedi sign":"Símbolo de Cedi","Livre tournois sign":"Símbolo de Livre tournois","Spesmilo sign":"Símbolo do Spesmilo","Tenge sign":"Símbolo do Tenge","Indian rupee sign":"Símbolo da Rupia Indiana","Turkish lira sign":"Símbolo da Lira Turca","Nordic mark sign":"Símbolo do Marco Nórdico","Manat sign":"Símbolo do Manat","Ruble sign":"Símbolo do Rublo Russo","Latin capital letter a with macron":"Símbolo latim maiúsculo A com mácron","Latin small letter a with macron":"Símbolo latim minúsculo A com mácron","Latin capital letter a with breve":"Símbolo latim maiúsculo A com breve","Latin small letter a with breve":"Símbolo latim minúsculo A com breve","Latin capital letter a with ogonek":"Símbolo latim maiúsculo A com ogonek","Latin small letter a with ogonek":"Símbolo latim minúsculo A com ogonek","Latin capital letter c with acute":"Símbolo latim maiúsculo C com acento agudo","Latin small letter c with acute":"Símbolo latim minúsculo C com acento agudo","Latin capital letter c with circumflex":"Símbolo latim maiúsculo C com acento circunflexo","Latin small letter c with circumflex":"Símbolo latim minúsculo C com acento circunflexo","Latin capital letter c with dot above":"Símbolo latim maiúsculo C com ponto acima","Latin small letter c with dot above":"Símbolo latim minúsculo C com ponto acima","Latin capital letter c with caron":"Símbolo latim maiúsculo C com caron","Latin small letter c with caron":"Símbolo latim minúsculo C com caron","Latin capital letter d with caron":"Símbolo latim maiúsculo D com caron","Latin small letter d with caron":"Símbolo latim minúsculo D com caron","Latin capital letter d with stroke":"Símbolo latin maiúsculo D com um traçado vertical","Latin small letter d with stroke":"Símbolo latin minúsculo D com um traçado vertical","Latin capital letter e with macron":"Símbolo latim maiúsculo E com mácron","Latin small letter e with macron":"Símbolo latim minúsculo E com mácron","Latin capital letter e with breve":"Símbolo latim maiúsculo E com breve","Latin small letter e with breve":"Símbolo latim minúsculo E com breve","Latin capital letter e with dot above":"Símbolo latim maiúsculo E com ponto acima","Latin small letter e with dot above":"Símbolo latim minúsculo E com ponto acima","Latin capital letter e with ogonek":"Símbolo latim maiúsculo E com ogonek","Latin small letter e with ogonek":"Símbolo latim minúsculo E com ogonek","Latin capital letter e with caron":"Símbolo latim maiúsculo E com caron","Latin small letter e with caron":"Símbolo latim minúsculo E com caron","Latin capital letter g with circumflex":"Símbolo latim maiúsculo G com acento circunflexo","Latin small letter g with circumflex":"Símbolo latim minúsculo G com acento circunflexo","Latin capital letter g with breve":"Símbolo latim maiúsculo G com breve","Latin small letter g with breve":"Símbolo latim minúsculo G com breve","Latin capital letter g with dot above":"Símbolo latim maiúsculo G com ponto acima","Latin small letter g with dot above":"Símbolo latim minúsculo G com ponto acima","Latin capital letter g with cedilla":"Símbolo latim maiúsculo G com cedilha","Latin small letter g with cedilla":"Símbolo latim minúsculo G com cedilha","Latin capital letter h with circumflex":"Símbolo latim maiúsculo H com acento circunflexo","Latin small letter h with circumflex":"Símbolo latim minúsculo H com acento circunflexo","Latin capital letter h with stroke":"Símbolo latin maiúsculo H com um traçado vertical","Latin small letter h with stroke":"Símbolo latin minúsculo H com um traçado vertical","Latin capital letter i with tilde":"Símbolo latim maiúsculo I com til","Latin small letter i with tilde":"Símbolo latim minúsculo I com til","Latin capital letter i with macron":"Símbolo latim maiúsculo I com mácron","Latin small letter i with macron":"Símbolo latim minúsculo I com mácron","Latin capital letter i with breve":"Símbolo latim maiúsculo I com breve","Latin small letter i with breve":"Símbolo latim minúsculo I com breve","Latin capital letter i with ogonek":"Símbolo latim maiúsculo I com ogonek","Latin small letter i with ogonek":"Símbolo latim minúsculo I com ogonek","Latin capital letter i with dot above":"Símbolo latim maiúsculo I com ponto acima","Latin small letter dotless i":"Símbolo latin sem ponto I","Latin capital ligature ij":"Símbolo latin maiúsculo ligadura IJ","Latin small ligature ij":"Símbolo latin minúsculo ligadura IJ","Latin capital letter j with circumflex":"Símbolo latim maiúsculo J com acento circunflexo","Latin small letter j with circumflex":"Símbolo latim minúsculo J com acento circunflexo","Latin capital letter k with cedilla":"Símbolo latim maiúsculo K com cedilha","Latin small letter k with cedilla":"Símbolo latim minúsculo K com cedilha","Latin small letter kra":"Símbolo latin minúsculo K","Latin capital letter l with acute":"Símbolo latim maiúsculo l com acento agudo","Latin small letter l with acute":"Símbolo latim minúsculo I com acento agudo","Latin capital letter l with cedilla":"Símbolo latim maiúsculo L com cedilha","Latin small letter l with cedilla":"Símbolo latim minúsculo L com cedilha","Latin capital letter l with caron":"Símbolo latim maiúsculo I com caron","Latin small letter l with caron":"Símbolo latim minúsculo I com caron","Latin capital letter l with middle dot":"Símbolo latin maiúsculo L com ponto no meio","Latin small letter l with middle dot":"Símbolo latin minúsculo L com ponto no meio","Latin capital letter l with stroke":"Símbolo latin maiúsculo L com um traçado vertical","Latin small letter l with stroke":"Símbolo latin minúsculo L com um traçado vertical","Latin capital letter n with acute":"Símbolo latim maiúsculo N com acento agudo","Latin small letter n with acute":"Símbolo latim minúsculo N com acento agudo","Latin capital letter n with cedilla":"Símbolo latim maiúsculo N com cedilha","Latin small letter n with cedilla":"Símbolo latim minúsculo N com cedilha","Latin capital letter n with caron":"Símbolo latim maiúsculo N com caron","Latin small letter n with caron":"Símbolo latim minúsculo N com caron","Latin small letter n preceded by apostrophe":"Símbolo latim minúsculo N precedido por apóstrofe","Latin capital letter eng":"Símbolo latim maiúsculo Eng","Latin small letter eng":"Símbolo latim minúsculo Eng","Latin capital letter o with macron":"Símbolo latim maiúsculo I com mácron","Latin small letter o with macron":"Símbolo latim minúsculo O com mácron","Latin capital letter o with breve":"Símbolo latim maiúsculo O com breve","Latin small letter o with breve":"Símbolo latim minúsculo O com breve","Latin capital letter o with double acute":"Símbolo latim maiúsculo O com acento agudo duplo","Latin small letter o with double acute":"Símbolo latim minúsculo O com acento agudo duplo","Latin capital ligature oe":"Símbolo latin maiúsculo ligadura OE","Latin small ligature oe":"Símbolo latin minúsculo ligadura OE","Latin capital letter r with acute":"Símbolo latim maiúsculo R com acento agudo","Latin small letter r with acute":"Símbolo latim minúsculo R com acento agudo","Latin capital letter r with cedilla":"Símbolo latim maiúsculo R com cedilha","Latin small letter r with cedilla":"Símbolo latim minúsculo R com cedilha","Latin capital letter r with caron":"Símbolo latim maiúsculo R com caron","Latin small letter r with caron":"Símbolo latim minúsculo R com caron","Latin capital letter s with acute":"Símbolo latim maiúsculo S com acento agudo","Latin small letter s with acute":"Símbolo latim minúsculo S com acento agudo","Latin capital letter s with circumflex":"Símbolo latim maiúsculo S com acento circunflexo","Latin small letter s with circumflex":"Símbolo latim minúsculo S com acento circunflexo","Latin capital letter s with cedilla":"Símbolo latim maiúsculo S com cedilha","Latin small letter s with cedilla":"Símbolo latim minúsculo S com cedilha","Latin capital letter s with caron":"Símbolo latim maiúsculo S com caron","Latin small letter s with caron":"Símbolo latim minúsculo S com caron","Latin capital letter t with cedilla":"Símbolo latim maiúsculo T com cedilha","Latin small letter t with cedilla":"Símbolo latim minúsculo T com cedilha","Latin capital letter t with caron":"Símbolo latim maiúsculo T com caron","Latin small letter t with caron":"Símbolo latim minúsculo T com caron","Latin capital letter t with stroke":"Símbolo latin maiúsculo T com um traçado vertical","Latin small letter t with stroke":"Símbolo latin minúsculo T com um traçado vertical","Latin capital letter u with tilde":"Símbolo latim maiúsculo U com til","Latin small letter u with tilde":"Símbolo latim minúsculo U com til","Latin capital letter u with macron":"Símbolo latim maiúsculo I com mácron","Latin small letter u with macron":"Símbolo latim minúsculo U com mácron","Latin capital letter u with breve":"Símbolo latim maiúsculo U com breve","Latin small letter u with breve":"Símbolo latim minúsculo U com breve","Latin capital letter u with ring above":"Símbolo latim maiúsculo U com anel acima","Latin small letter u with ring above":"Símbolo latim minúsculo U com anel acima","Latin capital letter u with double acute":"Símbolo latim maiúsculo U com acento agudo duplo","Latin small letter u with double acute":"Símbolo latim minúsculo U com acento agudo","Latin capital letter u with ogonek":"Símbolo latim maiúsculo U com ogonek","Latin small letter u with ogonek":"Símbolo latim minúsculo U com ogonek","Latin capital letter w with circumflex":"Símbolo latim maiúsculo W com acento circunflexo","Latin small letter w with circumflex":"Símbolo latim minúsculo W com acento circunflexo","Latin capital letter y with circumflex":"Símbolo latim maiúsculo Y com acento circunflexo","Latin small letter y with circumflex":"Símbolo latim minúsculo Y com acento circunflexo","Latin capital letter y with diaeresis":"Símbolo latim maiúsculo Z com trema","Latin capital letter z with acute":"Símbolo latim maiúsculo Z com acento agudo","Latin small letter z with acute":"Símbolo latim minúsculo Z com acento agudo","Latin capital letter z with dot above":"Símbolo latim maiúsculo Z com ponto acima","Latin small letter z with dot above":"Símbolo latim minúsculo Z com ponto acima","Latin capital letter z with caron":"Símbolo latim maiúsculo Z com caron","Latin small letter z with caron":"Símbolo latim minúsculo Z com caron","Latin small letter long s":"Símbolo latim minúsculo long s","Less-than sign":"Sinal menor que","Greater-than sign":"Sinal maior que","Less-than or equal to":"Menor que ou igual a","Greater-than or equal to":"Maior que ou igual a","En dash":"Traço","Em dash":"Travessão","Macron":"Mácron","Overline":"Linha acima","Degree sign":"Sinal de grau","Minus sign":"Sinal de menos","Plus-minus sign":"Sinal de mais ou menos","Division sign":"Sinal de divisão","Fraction slash":"Barra de fração","Multiplication sign":"Sinal de multiplicação","Latin small letter f with hook":"Latim minúsculo F com gancho","Integral":"Integral","N-ary summation":"Somatório","Infinity":"Infinito","Square root":"Raiz quadrada","Tilde operator":"Operador til","Approximately equal to":"Aproximadamente igual a","Almost equal to":"Quase igual a","Not equal to":"Diferente de","Identical to":"Idêntico a","Element of":"Elemento de","Not an element of":"Não é um elemento de","Contains as member":"Contém como membro","N-ary product":"Produto Cartesiano","Logical and":"Operador lógico AND","Logical or":"Operador lógico OR","Not sign":"Sinal de não","Intersection":"Interseção","Union":"União","Partial differential":"Diferencial parcial","For all":"Para todo","There exists":"Existe","Empty set":"Conjunto vazio","Nabla":"Nabla","Asterisk operator":"Operador asterisco","Proportional to":"Proporcional a","Angle":"Ângulo","Vulgar fraction one quarter":"Fração um quarto","Vulgar fraction one half":"Fração um meio","Vulgar fraction three quarters":"Fração três quartos","Single left-pointing angle quotation mark":"Aspas angulares simples esquerda","Single right-pointing angle quotation mark":"Aspas angulares simples direita","Left-pointing double angle quotation mark":"Aspas angulares duplas esquerda","Right-pointing double angle quotation mark":"Aspas angulares duplas direita","Left single quotation mark":"Aspas simples esquerda","Right single quotation mark":"Aspas simples direita","Left double quotation mark":"Aspas dupla esquerda","Right double quotation mark":"Aspas dupla direita","Single low-9 quotation mark":"Aspas baixas simples","Double low-9 quotation mark":"Aspas duplas baixas simples","Inverted exclamation mark":"Ponto de exclamação invertido","Inverted question mark":"Ponto de interrogação invertido","Two dot leader":"Dois pontos","Horizontal ellipsis":"Elipse horizontal","Double dagger":"Adaga dupla","Per mille sign":"Símbolo de por 1 mil","Per ten thousand sign":"Símbolo de por 10 mil","Double exclamation mark":"Sinal do ponto de exclamação duplo","Question exclamation mark":"Ponto de interrogação com exclamação","Exclamation question mark":"Ponto de exclamação com interrogação","Double question mark":"Ponto de interrogação duplo","Copyright sign":"Símbolo de direitos reservados","Registered sign":"Símbolo de registrado","Trade mark sign":"Símbolo de marca registrada","Section sign":"Símbolo de secção","Paragraph sign":"Símbolo de parágrafo","Reversed paragraph sign":"Símbolo de parágrafo invertido"},getPluralForm(n){return (n != 1);}}};
e[ 'pt-br' ] ||= { dictionary: {}, getPluralForm: null };
e[ 'pt-br' ].dictionary = Object.assign( e[ 'pt-br' ].dictionary, dictionary );
e[ 'pt-br' ].getPluralForm = getPluralForm;
} )( window.CKEDITOR_TRANSLATIONS ||= {} );
